## Synopsis

At the top of the file there should be a short introduction and/ or overview that explains **what** the project is. This description should match descriptions added for package managers (Gemspec, package.json, etc.)

## Code Example

Show what the library does as concisely as possible, developers should be able to figure out **how** your project solves their problem by looking at the code example. Make sure the API you are showing off is obvious, and that your code is short and concise.

## Motivation

A short description of the motivation behind the creation and maintenance of the project. This should explain **why** the project exists.

## Installation



## API Reference

Depending on the size of the project, if it is small and simple enough the reference docs can be added to the README. For medium size to larger projects it is important to at least provide a link to where the API reference docs live.

## Tests

1. sudo npm install protractor -g
2. sudo webdriver-manager update
3. webdriver-manager start
4. protractor test/protractor.conf.js

### Debugging Tests:

1. /usr/local/lib/node_modules/protractor/bin/elementexplorer.js http://angularjs.org
2. Press 'tab'  to play with element locators

### e2e Test Guidance:
1. use "Page Objects" which are objects that represent each webpage in your app.
2.

## Contributors

Let people know how they can dive into the project, include important links to things like issue trackers, irc, twitter accounts if applicable.

## License

A short snippet describing the license (MIT, Apache, etc.)